---
services:
  tika:
    image: ${TIKA_IMAGE:-apache/tika:latest-full}
    # release notes: https://tika.apache.org
    networks:
      opencloud-net:
    restart: always
    logging:
      driver: ${LOG_DRIVER:-local}

  opencloud:
    environment:
      # fulltext search
      SEARCH_EXTRACTOR_TYPE: tika
      SEARCH_EXTRACTOR_TIKA_TIKA_URL: http://tika:9998
      FRONTEND_FULL_TEXT_SEARCH_ENABLED: "true"
